package com.example.xu.myapplication;

import android.content.Context;
import android.os.Environment;
import android.util.Log;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
/* loaded from: classes.dex */
public class FileAccess {
    private Context context;

    public FileAccess(Context context) {
        this.context = context;
    }

    public String readFile(String filename) throws Exception {
        FileInputStream inStream = new FileInputStream(filename);
        byte[] buffer = new byte[1024];
        ByteArrayOutputStream outStream = new ByteArrayOutputStream();
        while (true) {
            int len = inStream.read(buffer);
            if (len != -1) {
                outStream.write(buffer, 0, len);
            } else {
                byte[] data = outStream.toByteArray();
                outStream.close();
                inStream.close();
                return new String(data);
            }
        }
    }

    public void saveToSDCard(String filename, String content) throws Exception {
        File file = new File(Environment.getExternalStorageDirectory(), filename);
        FileOutputStream outStream = new FileOutputStream(file);
        outStream.write(content.getBytes());
        outStream.close();
    }

    public void creatSDDir(String dirName) {
        String file = Environment.getExternalStorageDirectory() + "/" + dirName;
        File dir = new File(file);
        if (!dir.exists()) {
            dir.mkdir();
        } else if (dir.isFile()) {
            dir.delete();
            dir.mkdir();
        }
    }

    public void save_tmp(String filename, String content) {
        try {
            File file = new File(filename);
            FileOutputStream fis = new FileOutputStream(file);
            fis.write(content.getBytes());
            fis.close();
        } catch (Exception e) {
            Log.e("FileAccess", e.toString());
        }
    }

    public void save_config(String filename, String content) {
        try {
            if (Environment.getExternalStorageState().equals("mounted")) {
                saveToSDCard(filename, content);
            }
        } catch (Exception e) {
            Log.e("FileAccess", e.toString());
        }
    }

    public String read_config(String filename) {
        try {
            if (Environment.getExternalStorageState().equals("mounted")) {
                String file = Environment.getExternalStorageDirectory() + "/" + filename;
                return readFile(file);
            }
        } catch (Exception e) {
            Log.e("FileAccess", e.toString());
        }
        return null;
    }

    public String read_proc(String filename) {
        try {
            return readFile(filename);
        } catch (Exception e) {
            Log.e("FileAccess", e.toString());
            return null;
        }
    }
}
